import gsap from "gsap";
import { createRequire } from 'module';
const ScrollTrigger = createRequire('/home/lili/Dokumente/iGem/Wiki/bielefeld-cebitec/pubpub/extra_modules/gsap/ScrollTrigger.js');

import { useGSAP } from '@gsap/react';
import { useRef } from 'react';
const MotionPathPlugin = createRequire("/home/lili/Dokumente/iGem/Wiki/bielefeld-cebitec/pubpub/extra_modules/gsap/dist/MotionPathPlugin.js");


function TestSVG() {
console.log("Started TestSVG")
  const vectorRef = useRef(null);
  const payloadRef = useRef(null);
  const inhalatorRef = useRef(null);

  useGSAP(
    () => {
    gsap.registerPlugin(ScrollTrigger);
    gsap.registerPlugin(useGSAP);
    gsap.registerPlugin(MotionPathPlugin);
    
    gsap.defaults({ease: "none"});

    const main = gsap.timeline({
      scrollTrigger: {
        trigger: "svg",
        scrub: true,
        start:"top center",
        end: "bottom center"
      }
    })
    
    .from(".theLine", {drawSVG: 0}, 0)
    .to(payloadRef.current, {motionPath:{
      path:".theLine",
      align:".theLine",
      alignOrigin:[0.5, 0.5],
    }}, 0)
    .from(".theLine2", {drawSVG: 0}, 0)
    .to(vectorRef.current, {motionPath:{
      path:".theLine2",
      align:".theLine2",
      alignOrigin:[0.5, 0.5],
    }}, 0).from(".theLine3", {drawSVG: 0}, 0)
    .to(inhalatorRef.current, {motionPath:{
      path:".theLine3",
      align:".theLine3",
      alignOrigin:[0.5, 0.5],
    }}, 0)
    console.log(main)
  },
  );

 
  return (
    <div className="App">
      <div className="firstSpacingBlock">
        <h1>iGem Header</h1>
        <p>Scroll for animation</p>
      </div>
      
      <svg id="svg" xmlns="" viewBox="0 0 1980 4400">
        
        <path className="theLine" d="
        M 50 50 S 540 200 540 1000 S -300 1200 540 2000 S -600 2200 540 3000 S 0 4000 540 4000 L 540 4500"
        /* file="none" */ stroke="white" stroke-width="10px"></path>

        

        <path className="theLine2" d="
        M 1030 50 S 540 200 540 1000 S -300 1200 540 2000 S -600 2200 540 3000 S 540 4000 540 4000 L 540 3500"
        /* file="none" */ stroke="white" stroke-width="10px"></path>



        <path className="theLine3" d="
        M 2000 600 S -300 1200 540 2000 S -600 2200 540 3000 S 540 4000 -100 4000 L -100 4200"
        /* file="none" */ stroke="white" stroke-width="10px"></path>

      </svg>
      <img ref={vectorRef} src="https://static.igem.wiki/teams/5247/scientific-figures/antibiotics-capsule.svg" alt="vectorImg"/>
      <img ref={payloadRef} src="https://static.igem.wiki/teams/5247/scientific-figures/antibiotics-inhaler.svg" alt="payloadImg"/>
      <img ref={inhalatorRef} src="https://static.igem.wiki/teams/5247/scientific-figures/albuterol.svg" alt="inhalatorImg"/>
    </div>
  );
}

export default TestSVG;